VALD(4) | Device Drivers Manual (i386) | VALD(4)

# NAME

`vald` —
Toshiba Programmable I/O controller

# SYNOPSIS

`vald* at acpi?`

# DESCRIPTION

Some Toshiba computers have a special I/O controller that handles various interface devices. This special I/O controller is accessed by the “GHCI” ACPI method. The `vald` driver provides some support for it.

The `vald` driver handles the following hot-keys:

Fn+F5
  Switch between LCD and External Video output.
Fn+F6
  Decrease LCD brightness.
Fn+F7
  Increase LCD brightness.
Fn+F8
  Switch fan (ON/OFF).

The `vald` driver has only been tested on the Libretto L3 and on the Portege 3440.

# SEE ALSO

acpi(4)

# HISTORY

The `vald` driver appeared in NetBSD 1.6.

# BUGS

`vald` may have problems with X11 when switching between LCD and External Video output.

January 25, 2008 | NetBSD 10.1